<?php
	session_start();
	if($_SESSION['rid'])
	{
		$userid=$_SESSION['rid'];
	}
	else
	{
		header('location:../login.php');
	}
?>
<?php
	include'connection.php';
		
		date_default_timezone_set("asia/Kolkata");
		$datetime= Date("Y-m-d - h:i:s A");
		$time= Date("h:i:s A");
		$date= Date("Y-m-d");
		
		$query8="select * from wallet where Userid='$userid' order by Id desc";
		$result8=mysqli_query($con,$query8);
		$data8=mysqli_fetch_array($result8);
		$currentbal= $data8['Balance'];
		
?>
<html>
<title>LLP Recharge</title>
<head>
<style>
body{background:url('bg.jpg'); background-size:cover;
width:100%; height:700px; margin:0px;}

.head{background:; width:1350px; height:85px; margin:0px;}
#p1{font-size:34px; float:left; Margin:10 0 0 45px; color:#996420; font-weight:bold;}
#p2{font-size:20px; float:left; margin:28 0 0 -8px; color:#eaa040; font-family:Courier;}
#p3{font-size:15px; font-family:Comic Sans MS; float:left; color:#996420; margin-top:48px; margin-left:-153px;}
.h2{background:white; width:400px; height:70px; margin:10 200px;}
#link1{float:right; margin:10 30 0 0px; font-size:20px; text-decoration:none;
 color:white; background:red; padding:5px; border-radius:4px;}
 #link2{float:right; margin:10 30 0 0px; font-size:20px; background:white;color:Green; padding:5px; border-radius:4px;}
#link1:hover{ padding:5px; border-radius:4px; color:black;}
	
.menu{background:#996420; height:40px; width:1300px; margin:0 0 0 20px; padding:0;}
.menu ul{padding:0; margin:0; position:relative; display:inline-block;}
.menu ul li{list-style:none; float:left; width:170px; line-height:40px;
	text-align:center; font-size:15px; margin:0; padding:0; color:white;}
.menu ul li ul {display:none;}
.menu ul li:hover{background:#d1994a; cursor:pointer;}
.menu ul li:hover ul {display:block; z-index:2;}
.menu ul li:hover ul li{background:#d1994a; border-top:solid white 0.1px;}
.menu ul li ul li:hover{background:#996420; color:white;}
.menu ul li ul li:hover a{ color:white;}
.menu ul li a{ text-decoration:none; color:white;}
 #a1{border:none; color:white;}
 .menu{letter-spacing:1px;}
 #bal:hover{background:#996420; cursor:text;}
 

 #heading{margin-left:20px; }
 .search{width:1300px; margin:10 0 0 20px; height:; line-height:60px;}
#inp{ height:35px; border:1px solid #996420; border-radius:3px; padding:2 8px; font-size:18px;}
#inp2{background:green; color:white; height:35px; border:1px solid #996420; border-radius:3px; padding:2 8px; font-size:18px; font-weight:bold;}
#inp2:hover{background:white; color:green; border:1px solid green; cursor:pointer;}
#tdp{float:right; margin-right:20px; font-size:20px;}
  .rechhistoryhead{width:1250px; background:#996420; color:white; height:40px;
 margin:0  0 0 20px; line-height:40px;}
 .rechhistoryhead p{margin-left:10px;}
 .rechreport{ margin:0;}
#t1{ width:1250px; text-align:center; border-collapse:collapse; border-color:black; margin-left:20px;}
#t1 th{font-family:calibri; background:#94928f; color:white; font-size:20px;}
#t1 td{font-family:calibri; font-size:18px;}
#t1 tr:nth-child(odd){background:#f6f0e8;}
#t1 tr:nth-child(even){background:white; }
#green{color:#19dc42;}
#red{color:red;}
#blue{color:blue;}

.foot{margin:50px;}
</style>
</head>
<body>
	<div class="head">
		<p id="p1">LLP</p>
		<p id="p2">Recharge</p>
		<p id="p3">The Complete Solution</p>
		<a id="link1" href="logout.php">Log Out</a>
	</div>
	<div class="menu">
		<ul>
			<li><a href="recharge_home.php" id="a1">Home</a></li>
			<li>Reports
				<ul>
					<li><a href="recharge_history.php">Recharge History</a></li>
					<li><a href="account_reports.php">Account Reports</a></li>
					<li><a href="check_status.php">Check Status</a></li>
				</ul>
			</li>
			<li>Documents
				<ul>
					<li><a href="my_commission.php">My Commission</a></li>
					<li><a href="commision.php">Get Commission</a></li>
					<li><a href="complain.php">Complain</a></li>
				</ul>
			</li>
			<li>Profile
				<ul>
					<li><a href="change_profile.php">Change Profile</a></li>
					<li><a href="change_pwd.php">Change Password</a></li>
				</ul>
			</li>
			<li>Payment Request
				<ul>
					<li><a href="payment_request.php">Update Payment</a></li>
					<li><a href="TopUpReport.php">TopUp Report</a></li>
					<li><a href="bank_list.php">Bank List</a></li>
				</ul>
			</li>
			<li id="bal">Balance :</li>
			<li id="bal"><?php echo floor($currentbal); ?></li>
		</ul>
	</div>
	
		<h3 id="heading">Recharge History<h3><hr>

	<div class="search">
	<table border="0" cellpadding="8">
	    <tr>
            <form method="post" action="export.php">
			<td id="tdp">Export Data:</td>
            <td><input type="date" name="date" value="<?php echo $date; ?>" id="inp"></td>
            <td><input type="submit" name="export" class="btn btn-success" value="Export To Excel" id="inp2" /></td>
            </form>
	    </tr>
		<tr>
	        <form method="post">
			<td id="tdp">Search By Date:</td>
			<td><input type="date" name="fdate" id="inp" value="<?php echo $date; ?>" ></td>
			<td>
			    <select id="inp" name="op">
			        <option>ALL</option>
			        <?php
			            $quGetOp="select * from operator";
			            $reGetOp=mysqli_query($con,$quGetOp);
			            while($dataGetOp=mysqli_fetch_array($reGetOp))
			            {
			                $operatpr=$dataGetOp['Operator'];
			                echo "<option>".$operatpr."</option>";
			            }
			        ?>
			    </select>
			</td>
			<td>
			    <select id="inp" name="status">
			        <option>ALL</option>
			        <option>SUCCESS</option>
			        <option>FAILED</option>
			        <option>PENDING</option>
			    </select>
			</td>
			<td><input type="submit" name="submit2" id="inp"></td>
		</tr>
		<tr>
			<td id="tdp">Search By :</td>
			<td><input type="text" name="mnum" id="inp" placeholder="Mobile No..."></td>
			<td><input type="text" name="partnerId" id="inp" placeholder="Partner Id..."></td>
			<td><input type="text" name="orderId" id="inp" placeholder="LLP Rech. Id..."></td>
			<td><input type="submit" name="submit1" id="inp"></td>
		</tr>
	</table>
	</form>
	</div>
	
	<div class="rechhistoryhead">
		<p>Transaction Reports</p>
	</div>
	
	<div class="rechreport">
	
		<?php
		include'connection.php';
		
			echo "<table width='100%' border='1'  cellpadding='5' id='t1'>";
				echo "<tr>";
					echo "<th>Sl No.</th>";
					echo "<th>Recharge Id</th>";
					echo "<th>Partner Id</th>";
					echo "<th>Ewallet Id</th>";
					echo "<th>Operator Id</th>";
					echo "<th>Company</th>";
					echo "<th>Mobile No</th>";
					echo "<th>Amount</th>";
					echo "<th>Credit Used</th>";
					echo "<th>Status</th>";
					echo "<th>Date Time</th>";
				echo "</tr>";
		
		if(isset($_POST['submit2']))
		{
			$fdate=$_POST['fdate'];
			$op=$_POST['op'];
			$status=$_POST['status'];
			
			$sl=0;
			$TotalDebit=0;
			$TotalAmount=0;
			
			if(empty($fdate))
			{
				echo "Please Choose Any Date";
			}
			else
			{
			    if($op=="ALL")
			    {
			        if($status=="ALL")
			        {
				        $getrechhistq="select * from recharge where Userid='$userid' and Rechargedate='$fdate'";
			        }
			        else
			        {
			            $getrechhistq="select * from recharge where Userid='$userid' and Status='$status' and Rechargedate='$fdate'";
			        }
			    }
			    else
			    {
			        if($status=="ALL")
			        {
				        $getrechhistq="select * from recharge where Userid='$userid' and Companyname='$op' and Rechargedate='$fdate'";
			        }
			        else
			        {
			            $getrechhistq="select * from recharge where Userid='$userid' and Companyname='$op' and Status='$status' and Rechargedate='$fdate'";
			        }
			    }
				$resultgetrechhid=mysqli_query($con,$getrechhistq);
				while($row=mysqli_fetch_array($resultgetrechhid))
				{
					$sl=$sl+1;
					
					if($row['Status']=='SUCCESS')
					{
						$color="green";
					}
					elseif($row['Status']=='FAILED')
					{
						$color="red";
					}
					else
					{
					    $color="blue";
					}
					echo "<tr>";
						echo "<td>".$sl."</td>";
						echo "<td>".$row['Id']."</td>";
						echo "<td>".$row['Partnerid']."</td>";
						echo "<td>".$row['Ewalletid']." , ".$row['Creditewalletid']."</td>";
						echo "<td>".$row['Operatorid']."</td>";
						echo "<td>".$row['Companyname']."</td>";
						echo "<td>".$row['Mobile']."</td>";
						echo "<td>".$row['Amount']."</td>";
						echo "<td>".$row['Debitamount']."</td>";
						echo "<td id='$color'>".$row['Status']."</td>";
						echo "<td>".$row['Rechargedate']." - ".$row['Time']."</td>";
					echo "</tr>";
					$TotalAmount=$TotalAmount+$row['Amount'];
					$TotalDebit=$TotalDebit+$row['Debitamount'];
				}
			}
				echo "<tr>";
					echo "<th>Total Value</th>";
					echo "<th></th>";
					echo "<th></th>";
					echo "<th></th>";
					echo "<th></th>";
					echo "<th>".$op."</th>";
					echo "<th></th>";
					echo "<th>".$TotalAmount."</th>";
					echo "<th>".floor($TotalDebit)."</th>";
					echo "<th>".$status."</th>";
					echo "<th>".$fdate."</th>";
				echo "</tr>";
		}
		elseif(isset($_POST['submit1']))
		{	
			$mnum=$_POST['mnum'];
			$partnerId=$_POST['partnerId'];
			$orderId=$_POST['orderId'];
			
			if(!empty($mnum) || !empty($partnerId) || !empty($orderId))
			{
				$sl=0;
				if(empty($partnerId) && empty($orderId))
				{
				    $getrechhistq="select * from recharge where Userid='$userid' and Mobile='$mnum'";
				}
				elseif(empty($mnum) && empty($orderId))
				{
				    $getrechhistq="select * from recharge where Userid='$userid' and Partnerid='$partnerId'";
				}
				elseif(empty($mnum) && empty($partnerId))
				{
				    $getrechhistq="select * from recharge where Userid='$userid' and Id='$orderId'";
				}
				$resultgetrechhid=mysqli_query($con,$getrechhistq);
				while($row=mysqli_fetch_array($resultgetrechhid))
				{
					$sl=$sl+1;
					
					if($row['Status']=='SUCCESS')
					{
						$color="green";
					}
					elseif($row['Status']=='FAILED')
					{
						$color="red";
					}
					else
					{
					    $color="blue";
					}
					echo "<tr >";
						echo "<td>".$sl."</td>";
						echo "<td>".$row['Id']."</td>";
						echo "<td>".$row['Partnerid']."</td>";
						echo "<td>".$row['Ewalletid']." , ".$row['Creditewalletid']."</td>";
						echo "<td>".$row['Operatorid']."</td>";
						echo "<td>".$row['Companyname']."</td>";
						echo "<td>".$row['Mobile']."</td>";
						echo "<td>".$row['Amount']."</td>";
						echo "<td>".$row['Debitamount']."</td>";
						echo "<td id='$color'>".$row['Status']."</td>";
						echo "<td>".$row['Rechargedate']." - ".$row['Time']."</td>";
					echo "</tr>";
				}
			}
			else
			{
			
				echo "Please Fill Any Input Field !";
			}
		}
		else
		{
			$sl=0;
			$getrechhistq="select * from recharge where Userid='$userid' order by Id desc limit 30";
				$resultgetrechhid=mysqli_query($con,$getrechhistq);
				while($row=mysqli_fetch_array($resultgetrechhid))
				{
					$sl=$sl+1;
					
					if($row['Status']=='SUCCESS')
					{
						$color="green";
					}
					elseif($row['Status']=='FAILED')
					{
						$color="red";
					}
					else
					{
					    $color="blue";
					}
					echo "<tr>";
						echo "<td>".$sl."</td>";
						echo "<td>".$row['Id']."</td>";
						echo "<td>".$row['Partnerid']."</td>";
						echo "<td>".$row['Ewalletid']." , ".$row['Creditewalletid']."</td>";
						echo "<td>".$row['Operatorid']."</td>";
						echo "<td>".$row['Companyname']."</td>";
						echo "<td>".$row['Mobile']."</td>";
						echo "<td>".$row['Amount']."</td>";
						echo "<td>".$row['Debitamount']."</td>";
						echo "<td id='$color'>".$row['Status']."</td>";
						echo "<td>".$row['Rechargedate']." - ".$row['Time']."</td>";
					echo "</tr>";
				}
		}
		echo "</table>";
		?>
	</div>
	<div class="foot">
		<p>Copyright &copy; 2018 Long Life Product Pvt. Ltd.</p>
	</div>
</body>
</html>